# $Id: libmad.spec,v 1.3 2003/03/29 23:53:06 dude Exp $

%define madversion 0.15.1b
%define id3version 0.15.1b
%define madplayversion 0.15.2b

Summary: MPEG audio decoder library.
Name: libmad
Version: %{madversion}
Release: 5.PU_IAS.1
Group: Development/Libraries
Source0: http://download.sourceforge.net/mad/libmad-%{version}.tar.gz
Source1: http://download.sourceforge.net/mad/libid3tag-%{id3version}.tar.gz
Source2: http://download.sourceforge.net/mad/madplay-%{madplayversion}.tar.gz
Source10: mp3license
URL: http://mad.sourceforge.net/
License: GPL
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Provides: mad = %{version}-%{release}
#Requires: libid3tag = %{id3version}

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1 and
the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, and
Layer III a.k.a. MP3) are fully implemented.

This package also include libid3tag - a library for reading and (eventually)
writing ID3 tags, both ID3v1 and the various versions of ID3v2.

#package -n libid3tag
#Summary: libid3tag is a library for reading and (eventually) writing ID3 tags
#Group: Development/Libraries
#Requires: libmad = %{madversion}
#Version: %{id3version}
#
#description -n libid3tag
#libid3tag is a library for reading and (eventually) writing ID3 tags, both
#ID3v1 and the various versions of ID3v2.

%package devel
Summary: MPEG audio decoder library development libraries
Group: Development/Libraries
Requires: libmad = %{version}-%{release}

%description devel
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1 and
the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, and
Layer III a.k.a. MP3) are fully implemented.

This file includes development libraries and include files necessary to 
compile programs against this library.

%package -n madplay
Summary: madplay is a command-line MPEG audio decoder and player
Group: Applications/Multimedia
Version: %{madplayversion}

%description -n madplay
`madplay' is a command-line MPEG audio decoder and player based on the MAD
library (libmad)

%prep
%setup -c -n libmad-id3 -q -T -a 0 -a 1 -a 2

%build
cd libmad-%{madversion}
	%configure
	make %{_smp_mflags}
	cd .libs
	ln -s . .libs
	cd ..
cd ../libid3tag-%{id3version}
	%configure
	make %{_smp_mflags}
	cd .libs
	ln -s . .libs
	cd ..
cd ../madplay-%{madplayversion}
	CFLAGS="-I`pwd`/../libmad-%{madversion} -I`pwd`/../libid3tag-%{id3version} $RPM_OPT_FLAGS"; export CFLAGS
	LDFLAGS="-L`pwd`/../libmad-%{madversion}/.libs -L`pwd`/../libmad-%{madversion} -L`pwd`/../libid3tag-%{id3version} -L`pwd`/../libid3tag-%{id3version}/.libs"; export LDFLAGS
	%configure
	make %{_smp_mflags}

%install
rm -rf %{buildroot}
cd libmad-%{madversion}
	%makeinstall
	cp README ../README.libmad
	cp CREDITS ../CREDITS.libmad
cd ../libid3tag-%{id3version}
	%makeinstall
	cp README ../README.id3tag
	cp CREDITS ../CREDITS.id3tag
cd ../madplay-%{madplayversion}
	%makeinstall
cd ..
cp %{SOURCE10} .

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc libmad*/COPYING libmad*/COPYRIGHT CREDITS* README* mp3license
%{_libdir}/lib*so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/lib*a
%{_libdir}/lib*so

%files -n madplay
%defattr(-,root,root)
%doc madplay*/COPYING madplay*/CREDITS madplay*/README
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/locale/*/*/*

%changelog
* Thu Jun 17 2004 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for PU_IAS 1 while upgrading also the version

* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for PU_IAS

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Added mad provides.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuild for Red Hat Linux 8.0 (missing because of license issues).
- Spec file cleanup.

* Tue Mar 12 2002 Bill Nottingham <notting@redhat.com> 0.14.2b-3
- ship libid3tag too

* Thu Feb 21 2002 Bill Nottingham <notting@redhat.com>
- rebuild

* Mon Jan 28 2002 Bill Nottingham <notting@redhat.com>
- split libmad off into a separate package

